## Apache Zeta Components Manual :: Docs For Class ezcLogFilter

### EventLog::ezcLogFilter

### Class ezcLogFilter

The ezcLogFilter class provides a structure to set a log filter.

ezcLogFilter has three public member variables:

- severity, contains the severity of the log message.
- source, contain the source of the log message.
- category, contains the category of the log message.

Severity is an integer mask that expects one more multiple ezcLog severity constants. Multiple values can be assigned by using a logical-or on the values. The value zero represents all possible severities.

Source and category are an array. An empty array reprseents all possible sources and categories.

The ezclogFilter class is mainly used by the ezcLog::attach() and ezcLog::detach() methods.

Source for this file: /EventLog/src/structs/log_filter.php

    ezcBaseStruct
       |
       --ezcLogFilter

Version: | //autogentag//

### Member Variables

public array(string) | `$category` The category of the log message. The default empty array specifies that all categories are accepted by this filter.
public int | `$severity` The severities that are accepted by the ezcLogFilter. The default value zero specifies that all severities are accepted.
public array(string) | `$source` The source of the log message. The default empty array specifies that all sources are accepted by this filter.

### Method Summary

public ezcLogFilter | `__construct( [ $severity = 0] , [ $source = array()] , [ $category = array()] )` Empty constructor

### Methods

#### __construct

ezcLogFilter __construct( [int $severity = 0] , [ $source = array()] , [ $category = array()] )

Empty constructor

##### Parameters:

Name | Type | Description
--- | --- | ---
`$severity` | int |
`$source` | array(string) |
`$category` | array(string) |

Documentation generated by phpDocumentor 1.4.3